Package org.apache.sysds.runtime.frame.data.columns

## Class ColumnMetadata

- java.lang.Object
- - org.apache.sysds.runtime.frame.data.columns.ColumnMetadata

All Implemented Interfaces:
  `Serializable`, `org.apache.hadoop.io.Writable`

    public class ColumnMetadata
    extends Object
    implements Serializable, org.apache.hadoop.io.Writable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ColumnMetadata()` Default constructor
`ColumnMetadata​(long ndistinct)`
`ColumnMetadata​(long ndistinct, String mvVal)`
`ColumnMetadata​(ColumnMetadata that)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object that)`
`boolean` `equals​(ColumnMetadata that)`
`long` `getExactSerializedSize()`
`long` `getInMemorySize()`
`String` `getMvValue()`
`long` `getNumDistinct()`
`boolean` `isDefault()`
`static ColumnMetadata` `read​(DataInput in)`
`void` `readFields​(DataInput in)`
`void` `setMvValue​(String mvVal)`
`void` `setNumDistinct​(long ndistinct)`
`String` `toString()`
`void` `write​(DataOutput out)`

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ColumnMetadata

    public ColumnMetadata()

Default constructor

#### ColumnMetadata

    public ColumnMetadata​(long ndistinct)

#### ColumnMetadata

    public ColumnMetadata​(long ndistinct,
                          String mvVal)

#### ColumnMetadata

    public ColumnMetadata​(ColumnMetadata that)

### Method Detail

#### getNumDistinct

    public long getNumDistinct()

#### setNumDistinct

    public void setNumDistinct​(long ndistinct)

#### getMvValue

    public String getMvValue()

#### setMvValue

    public void setMvValue​(String mvVal)

#### isDefault

    public boolean isDefault()

#### getInMemorySize

    public long getInMemorySize()

#### getExactSerializedSize

    public long getExactSerializedSize()

#### write

    public void write​(DataOutput out)
               throws IOException

Specified by:
  `write` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`

#### readFields

    public void readFields​(DataInput in)
                    throws IOException

Specified by:
  `readFields` in interface `org.apache.hadoop.io.Writable`
Throws:
  `IOException`

#### read

    public static ColumnMetadata read​(DataInput in)
                               throws IOException

Throws:
  `IOException`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(ColumnMetadata that)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`